### Method

# GtkSource AnnotationProvider populate_hover_async

since: 5.18

#### Declaration [src]

    void
    gtk_source_annotation_provider_populate_hover_async (
      GtkSourceAnnotationProvider* self,
      GtkSourceAnnotation* annotation,
      GtkSourceHoverDisplay* display,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Used to populate the `GtkSourceHoverDisplay` asynchronously, use AnnotationProvider.populate_hover to do it synchronously.

Available since: 5.18

This method completes asynchronously. Use `gtk_source_annotation_provider_populate_hover_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`annotation`

  Type: `GtkSourceAnnotation`

  A `GtkSourceAnnotation`.

  The data is owned by the caller of the method.

`display`

  Type: `GtkSourceHoverDisplay`

  A `GtkSourceHoverDisplay` to populate.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.